Bug 1420358 - Build request for CentOS/RHEL
Summary: Build request for CentOS/RHEL
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask-whooshee
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Juhl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1420243
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:12 UTC by Martin Juhl
Modified: 2018-05-29 11:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:45:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Juhl 2017-02-08 14:12:53 UTC
This is a request for building "python-flask-whooshee" against EPEL7, as this is needed for the COPR project.

I'm willing to assist in the testing and maintaining of this package

Comment 1 Robert Kuska 2017-02-09 10:00:32 UTC
In that case please apply as a package administrator, I will give you rights and you can build the package by yourself as I am not interested in having it in EPEL7.

Comment 2 Martin Juhl 2017-02-09 14:47:50 UTC
Ok

I get:

You must be a packager to apply to the ACL: approveacls on python-flask-whooshee
User "mrmeee" is not in the packager group

When I try to apply for administrator right..

How do I become part of the packager group??

Comment 3 Robert Kuska 2017-02-09 23:12:12 UTC
Here is the wiki:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 4 Martin Juhl 2017-02-13 10:32:08 UTC
Do I need to do something else here???

Comment 5 Martin Juhl 2017-02-16 09:00:12 UTC
So, when does this package gets build and added to EPEL7?

Comment 6 clime 2017-02-17 19:31:00 UTC
(In reply to Martin Juhl from comment #5)
> So, when does this package gets build and added to EPEL7?

You first need to assure compatibility of the package with EPEL7 the same way you did that with COPR subpackages. Please make a COPR repo, try building the package for EPEL7 with no added repositories, then fix the problems and submit a patch here that should solve them. Note that the latest release of python-flask-whooshee, that you can work on, is 0.4.1-2 (https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3afc21666). Contact me if you have any questions.

Comment 7 Martin Juhl 2017-02-23 10:17:07 UTC
Are we sure that python3-flask-sqlalchemy, python3-blinker and python3-flask are required??? These packages are not in RHEL nor in CentOS/EPEL... 

The rpms are building fine without them.. haven't testet much yet... but do we know why they are included??

Comment 8 Fedora End Of Life 2017-02-28 11:13:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Martin Juhl 2017-05-15 12:19:31 UTC
I have created this dependency repo:

https://copr.fedorainfracloud.org/coprs/mrmeee/elcopr-depends/packages/

Containing:

gcab - build dep for libappstream-glib
libappstream-glib - install dep for copr-backend (libappstream-glib-builder)
python-requests - build/install dep for copr-backend
python-urllib3 - build dep for python-requests in version 1.10.4, only 1.10.2 in CentOS

Python packages needed for copr-frontend:
python34-blinker
python34-flask
python34-flask-sqlalchemy
python34-itsdangerous
python34-sphinx
python34-sqlalchemy
python34-werkzeug

I think that the four packages on top needs to be added to the copr repo?

The others we can probably get into EPEL with some work??? Do anyone know the exact procedure for getting them in???

Comment 10 Fedora End Of Life 2018-05-03 07:58:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:45:05 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.